Solid Edge FrameworkSupport Type Library
GetFloodPoint Method
Coordinates of the boundary flood point.
Coordinates of the boundary flood point.
Description
Returns the coordinates of the boundary flood point.
Syntax
Visual Basic
Public Sub GetFloodPoint( _
   ByRef x As Double, _
   ByRef y As Double _
) 
Parameters
x
Coordinates of the boundary flood point.
y
Coordinates of the boundary flood point.
Remarks

The flood point is the point given to the AddByObjects method which is used to select the region to be filled. When a Boundary2d object is selected, a handle is displayed at the flood point. The flood point is always contained within the region defined by the Boundary2d object.

GetFloodPoint is not supported for boundaries from section views. Boundaries created by the Section View process don't have flood points or keypoints because they are created by internal procedures to Solid Edge.

Since they are generated by the system, we can’t return points that we don’t have.  We consistently return a position of x=1.0e+30 and  y=1.0e+30, which is used internally to indicate an invalid or infinite coordinate.  The programmer can reliably check for these numbers to determine that the floodpoint or handlepoint is undefined.

Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgeDraft.DraftDocument
    Dim objSheet As SolidEdgeDraft.Sheet
    Dim objBounds As SolidEdgeFrameworkSupport.Boundaries2d
    Dim objBound As SolidEdgeFrameworkSupport.Boundary2d
    Dim dblPoint(1 To 8) As Double
    Dim dblX As Double, dblY As Double
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.DraftDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    'Get the Active Sheet object
    Set objSheet = objDoc.ActiveSheet
    'Get the Boundaries2d object on the active sheet
    Set objBounds = objSheet.Boundaries2d
    ' Create a Points array
    dblPoint(1) = 0.1
    dblPoint(2) = 0.1
    dblPoint(3) = 0.1
    dblPoint(4) = 0.2
    dblPoint(5) = 0.2
    dblPoint(6) = 0.2
    dblPoint(7) = 0.2
    dblPoint(8) = 0.1
    ' Create a Boundary2d object
    Set objBound = objBounds.AddByPoints(PointCount:=4, Points:=dblPoint)
    'Get FloodPoint of the boundary
    Call objBound.GetFloodPoint(x:=dblX, y:=dblY)

    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objSheet = Nothing
    Set objBounds = Nothing
    Set objBound = Nothing
End Sub
See Also

Boundary2d Object  | Boundary2d Members